import { RegistryKind } from "./definitions.js";
export function parseReference(ref) {
    const regex = /(.+\.json)?#\/(.+)\/(.+)/;
    const match = ref.match(regex);
    if (!match) {
        return undefined;
    }
    const path = match[1];
    const section = match[2];
    const name = match[3];
    let registry;
    switch (section) {
        case "definitions":
            registry = RegistryKind.Definition;
            break;
        case "parameters":
            registry = RegistryKind.Parameter;
            break;
        case "responses":
            registry = RegistryKind.Response;
            break;
        case "securityDefinitions":
            registry = RegistryKind.SecurityDefinition;
            break;
        default:
            throw new Error(`Unknown registry: ${section}`);
    }
    return {
        filePath: path,
        registry: registry,
        name: name,
    };
}
export function isReference(value) {
    return Object.keys(value).includes("$ref");
}
//# sourceMappingURL=util.js.map